import { createApp } from 'vue'
import pinia from '/@/stores/index'
import App from '/@/App.vue'
import router from '/@/router'
import { directive } from '/@/directive/index'
import { i18n } from '/@/i18n/index'
import other from '/@/utils/other'

import ElementPlus from 'element-plus'
import '/@/theme/index.scss'
import VueGridLayout from 'vue-grid-layout'
import globalProperties from '/@/globalProperties'
// import ECharts   from '/@/components/echart/index.vue'
import DataVVue3 from '@kjgl77/datav-vue3'

// 数据大屏 全局引用
import ItemWrap from '/@/views/admin/visualization/newDeviceVision/components/item-wrap/item-wrap.vue'
import Echart from '/@/views/admin/visualization/newDeviceVision/components/echart/index.vue'
import Reacquire from '/@/views/admin/visualization/newDeviceVision/components/reacquire/reacquire.vue'
// import store from './stores/newDeviceVision'


const app = createApp(App)

// 数据大屏 自定义组件
app.component("ItemWrap",ItemWrap)
app.component("Echart",Echart)
app.component("Reacquire",Reacquire)


directive(app)
other.elSvg(app)

app.use(pinia).use(router).use(ElementPlus).use(i18n).use(VueGridLayout).use(DataVVue3)
.use(globalProperties).mount('#app')
